> ## Documentation Index
> Fetch the complete documentation index at: https://docs.keyapi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get post comments

> Get a list of comments on a post. Supports both top-level comments and nested replies. Supports paginated retrieval.

<div className="inline-flex items-center gap-2 px-4 py-2 bg-yellow-50 dark:bg-yellow-900/20 border border-yellow-200 dark:border-yellow-800 rounded-lg">
  <span className="text-base">🪙</span>
  <span className="text-sm font-medium text-yellow-900 dark:text-yellow-100"><span className="font-semibold">2 credits</span><span className="text-yellow-700 dark:text-yellow-300 ml-1">per request</span></span>
</div>

## Copy for AI

<div className="my-6 rounded-xl border border-gray-200 bg-gray-50 p-5 dark:border-gray-800 dark:bg-gray-900/40">
  <div className="min-w-0">
    <p className="text-base font-semibold text-gray-900 dark:text-gray-100">🤖 Why Code When AI Can Do It For You?</p>
    <p className="mt-1 text-sm text-gray-700 dark:text-gray-300">Stop writing code like it's 1970! Let AI do the heavy lifting - click the sparkles to copy a perfectly formatted prompt for ChatGPT, Claude, or your favorite AI assistant.</p>
  </div>

  <div className="mt-4">
    <button
      type="button"
      className="inline-flex items-center gap-2 rounded-md border border-emerald-300 bg-emerald-50 px-3 py-2 text-sm font-medium text-emerald-800 hover:bg-emerald-100 dark:border-emerald-700 dark:bg-emerald-900/30 dark:text-emerald-100 dark:hover:bg-emerald-900/50"
      onClick={() => navigator.clipboard.writeText(`I want to make an API call to https://api.keyapi.ai/v1/instagram/fetch_post_comments.

Please help me write code to make this API call and handle the response appropriately. Include error handling and best practices.

Here are the details:

Endpoint: GET https://api.keyapi.ai/v1/instagram/fetch_post_comments

Description: Get a list of comments on a post. Supports both top-level comments and nested replies. Supports paginated retrieval.

Required Headers:
--header 'Authorization: Bearer <YOUR_API_KEY>'

Parameters:
- code_or_url (Required): Post shortcode or post URL. Example: DRhvwVLAHAG
- sort_by (Optional): Sort order, default is recent.
Options: recent (newest first), popular (most liked). Example: recent
- pagination_token (Optional): Pagination token, taken from the previous response

Example Response:
{
"code": 0,
"message": "success",
"data": {
"data": {
  "additional_data": {
    "ai_topic_filters": [],
    "caption": {
      "content_type": "comment",
      "created_at": 1764176515,
      "created_at_for_fb_app": 1764176515,
      "created_at_utc": 1764176515,
      "did_report_as_spam": false,
      "hashtags": [],
      "id": "17844901506605283",
      "is_covered": false,
      "is_created_by_media_owner": true,
      "is_ranked_comment": true,
      "mentions": [
        "@sadiesink_",
        "@maya_hawke",
        "@strangerthingstv"
      ],
      "private_reply_status": 0,
      "share_enabled": true,
      "text": "@sadiesink_ (Sadie Sink) and @maya_hawke (Maya Hawke) are returning to Hawkins for one last adventure 🚲📺⁣
⁣
The duo sat down to talk about the final season of @strangerthingstv (“Stranger Things”), their fav hype songs (s/o to the “Hamilton” soundtrack) and the power of friendship in the latest Close Friends Only: Speed Round 🌟",
      "type": 1,
      "user": {
        "fbid_v2": "17841400039600391",
        "full_name": "Instagram",
        "id": "25025320",
        "is_private": false,
        "is_unpublished": false,
        "is_verified": true,
        "profile_pic_id": "3725434617063385984",
        "profile_pic_url": "https://scontent-vie1-1.cdninstagram.com/v/t51.82787-19/550891366_18667771684001321_13832106
... (truncated)`)}
    >
      <span>✨</span>
      <span>Copy for AI</span>
    </button>
  </div>
</div>


## OpenAPI

````yaml en/instagram.openapi.json GET /v1/instagram/fetch_post_comments
openapi: 3.0.1
info:
  title: Instagram API english documentation
  description: >-
    The english reference documentation of the Instagram API includes the
    interface's purpose, parameter description, response status, and sample
    structure.
  version: 1.0.0
servers:
  - url: https://api.keyapi.ai
    description: Production
security:
  - JWT Bearer: []
tags: []
paths:
  /v1/instagram/fetch_post_comments:
    get:
      tags: []
      summary: Get post comments
      description: >-
        Get a list of comments on a post. Supports both top-level comments and
        nested replies. Supports paginated retrieval.
      parameters:
        - name: code_or_url
          in: query
          description: Post shortcode or post URL
          required: true
          example: DRhvwVLAHAG
          schema:
            type: string
            example: DRhvwVLAHAG
        - name: sort_by
          in: query
          description: |-
            Sort order, default is recent.
            Options: recent (newest first), popular (most liked)
          required: false
          example: recent
          schema:
            type: string
            default: recent
        - name: pagination_token
          in: query
          description: Pagination token, taken from the previous response
          required: false
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                code: 0
                message: success
                data:
                  data:
                    additional_data:
                      ai_topic_filters: []
                      caption:
                        content_type: comment
                        created_at: 1764176515
                        created_at_for_fb_app: 1764176515
                        created_at_utc: 1764176515
                        did_report_as_spam: false
                        hashtags: []
                        id: '17844901506605283'
                        is_covered: false
                        is_created_by_media_owner: true
                        is_ranked_comment: true
                        mentions:
                          - '@sadiesink_'
                          - '@maya_hawke'
                          - '@strangerthingstv'
                        private_reply_status: 0
                        share_enabled: true
                        text: >-
                          @sadiesink_ (Sadie Sink) and @maya_hawke (Maya Hawke)
                          are returning to Hawkins for one last adventure 🚲📺⁣
                           ⁣
                          The duo sat down to talk about the final season of
                          @strangerthingstv (“Stranger Things”), their fav hype
                          songs (s/o to the “Hamilton” soundtrack) and the power
                          of friendship in the latest Close Friends Only: Speed
                          Round 🌟
                        type: 1
                        user:
                          fbid_v2: '17841400039600391'
                          full_name: Instagram
                          id: '25025320'
                          is_private: false
                          is_unpublished: false
                          is_verified: true
                          profile_pic_id: '3725434617063385984'
                          profile_pic_url: >-
                            https://scontent-vie1-1.cdninstagram.com/v/t51.82787-19/550891366_18667771684001321_1383210656577177067_n.jpg?stp=dst-jpg_e0_s150x150_tt6&_nc_cat=1&ig_cache_key=GGbv1SApFvlLPVJCAOtF0XrDJjITbmNDAQAB1501500j-ccb7-5&ccb=7-5&_nc_sid=669407&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLnd3dy4xMDgwLkMzIn0%3D&_nc_ohc=3G7UyY7h03IQ7kNvwGtqdkr&_nc_oc=AdltmOiVXdWm9YKhFoO3tjOv4cw-Z2dOu-R_8u2-vOVtRAMO22UG1N8VweJMifthaok&_nc_ad=z-m&_nc_cid=0&_nc_zt=24&_nc_ht=scontent-vie1-1.cdninstagram.com&_nc_gid=xkcBjtt4K-i2i3AbfHOVPw&_nc_ss=1a&oh=00_AfwdwVvzz0YC46UsNXWsi8vihZqJ2y6qg5zdbYSy5OXrIw&oe=69B590A7
                          username: instagram
                        user_id: '25025320'
                      caption_is_edited: false
                      comment_cover_pos: bottom
                      comment_filter_param: no_filter
                      comment_likes_enabled: true
                      fb_comments: []
                      filter_options: []
                      foundation_improvements_enabled: true
                      has_more_headload_fb_comments: false
                      high_score_comment_count: 1
                      media_header_display: none
                      quick_response_emojis:
                        - unicode: ❤️
                        - unicode: 🙌
                        - unicode: 🔥
                        - unicode: 👏
                        - unicode: 😢
                        - unicode: 😍
                        - unicode: 😮
                        - unicode: 😂
                      should_render_upsell: false
                      sort_options: []
                      sort_order: popular
                    count: 15
                    items:
                      - child_comment_count: 8
                        comment_index: 0
                        comment_like_count: 226
                        content_type: comment
                        created_at: 1764179954
                        created_at_for_fb_app: 1764179954
                        created_at_utc: 1764179954
                        did_report_as_spam: false
                        has_disliked_comment: false
                        has_liked: false
                        has_liked_comment: false
                        has_more_head_child_comments: true
                        has_more_tail_child_comments: false
                        hashtags: []
                        id: '17949737069921849'
                        inline_composer_display_condition: never
                        is_covered: false
                        is_edited: false
                        is_liked_by_media_owner: true
                        is_photo_comments_enabled_for_comment_author: false
                        is_pinned: false
                        is_ranked_comment: true
                        is_text_editable: false
                        keywords_data: []
                        like_count: 226
                        liked_by_media_coauthors: []
                        mentions: []
                        next_min_child_cursor: >-
                          AQHS3WOpjv7MZy0y_vt4n8NWj8kpGSECQPf0jgOzi3YXJefZqydYX8s3f1t7bhGCzEEfvrXVkMi1lxSuls35y9HPXQ
                        other_preview_users: []
                        preview_child_comments:
                          - comment_like_count: 97
                            content_type: comment
                            created_at: 1764187397
                            created_at_for_fb_app: 1764187397
                            created_at_utc: 1764187397
                            did_report_as_spam: false
                            has_disliked_comment: false
                            has_liked_comment: false
                            id: '18104737444656911'
                            is_covered: false
                            is_created_by_media_owner: true
                            is_edited: false
                            is_photo_comments_enabled_for_comment_author: false
                            is_ranked_comment: false
                            is_text_editable: false
                            liked_by_media_coauthors: []
                            parent_comment_id: '17949737069921849'
                            private_reply_status: 0
                            replied_to_comment_id: '17949737069921849'
                            share_enabled: true
                            text: '@velasavid agreed'
                            type: 2
                            user:
                              fbid_v2: '17841400039600391'
                              full_name: Instagram
                              id: '25025320'
                              is_mentionable: true
                              is_private: false
                              is_verified: true
                              latest_reel_media: 1773073537
                              profile_pic_id: '3725434617063385984'
                              profile_pic_url: >-
                                https://scontent-vie1-1.cdninstagram.com/v/t51.82787-19/550891366_18667771684001321_1383210656577177067_n.jpg?stp=dst-jpg_e0_s150x150_tt6&_nc_cat=1&ig_cache_key=GGbv1SApFvlLPVJCAOtF0XrDJjITbmNDAQAB1501500j-ccb7-5&ccb=7-5&_nc_sid=669407&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLnd3dy4xMDgwLkMzIn0%3D&_nc_ohc=3G7UyY7h03IQ7kNvwGtqdkr&_nc_oc=AdltmOiVXdWm9YKhFoO3tjOv4cw-Z2dOu-R_8u2-vOVtRAMO22UG1N8VweJMifthaok&_nc_ad=z-m&_nc_cid=0&_nc_zt=24&_nc_ht=scontent-vie1-1.cdninstagram.com&_nc_gid=xkcBjtt4K-i2i3AbfHOVPw&_nc_ss=1a&oh=00_AfwdwVvzz0YC46UsNXWsi8vihZqJ2y6qg5zdbYSy5OXrIw&oe=69B590A7
                              username: instagram
                            user_id: '25025320'
                        private_reply_status: 0
                        share_enabled: true
                        text: Oh my gosh yes; Medieval Times is amazing!
                        type: 0
                        user:
                          fbid_v2: '17841444737686754'
                          full_name: Vela Sávid
                          id: '44694035256'
                          is_mentionable: true
                          is_private: false
                          is_verified: true
                          latest_reel_media: 0
                          profile_pic_id: '3740118489475448689'
                          profile_pic_url: >-
                            https://scontent-vie1-1.cdninstagram.com/v/t51.82787-19/562654513_18081293396491257_4369135963295260073_n.jpg?stp=dst-jpg_e0_s150x150_tt6&_nc_cat=111&ig_cache_key=GDFtiSH5O-ot1zxAAKkdmYsCSqI8bmNDAQAB1501500j-ccb7-5&ccb=7-5&_nc_sid=669407&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLnd3dy4xMDgwLkMzIn0%3D&_nc_ohc=b7WWrq4efewQ7kNvwFYyiS8&_nc_oc=Admtas-ulN6Tn1a3UOMp4tvA0yVEAasPJpwQmJu3IAy20zfjzW2a5PFxHYE_doCA5kQ&_nc_ad=z-m&_nc_cid=0&_nc_zt=24&_nc_ht=scontent-vie1-1.cdninstagram.com&_nc_gid=xkcBjtt4K-i2i3AbfHOVPw&_nc_ss=1a&oh=00_Afzgp4GGgGAd2G-qdydZqNgAUa7XxmpZZdBObN5nXHGbuA&oe=69B59293
                          username: velasavid
                        user_id: '44694035256'
                      - child_comment_count: 23
                        comment_index: 1
                        comment_like_count: 1675
                        content_type: comment
                        created_at: 1764179213
                        created_at_for_fb_app: 1764179213
                        created_at_utc: 1764179213
                        did_report_as_spam: false
                        has_disliked_comment: false
                        has_liked: false
                        has_liked_comment: false
                        has_more_head_child_comments: true
                        has_more_tail_child_comments: true
                        hashtags: []
                        id: '18543227902043990'
                        inline_composer_display_condition: never
                        is_covered: false
                        is_edited: false
                        is_liked_by_media_owner: true
                        is_photo_comments_enabled_for_comment_author: false
                        is_pinned: false
                        is_ranked_comment: true
                        is_text_editable: false
                        keywords_data: []
                        like_count: 1675
                        liked_by_media_coauthors: []
                        mentions: []
                        next_max_child_cursor: >-
                          AQHS_PZu4UEoxooT6swAGyw-R1H2heNXxrKIbjrA8e46iZw0493sVnJkCzYkXxwqaj2pSbmwiOJCyDvqO6UaewNdzA
                        next_min_child_cursor: >-
                          AQHSWoj-Y61c5bIp26GdWAKjECa1tEKTqRs1OUaZ7nVkr_sEHri-YulxTre3n4ppRGoQ5vwUsIDrtemoDqbe2JPXxQ
                        num_tail_child_comments: 2
                        other_preview_users: []
                        preview_child_comments:
                          - comment_like_count: 334
                            content_type: comment
                            created_at: 1764187436
                            created_at_for_fb_app: 1764187436
                            created_at_utc: 1764187436
                            did_report_as_spam: false
                            has_disliked_comment: false
                            has_liked_comment: false
                            id: '18110872891610037'
                            is_covered: false
                            is_created_by_media_owner: true
                            is_edited: false
                            is_photo_comments_enabled_for_comment_author: false
                            is_ranked_comment: false
                            is_text_editable: false
                            liked_by_media_coauthors: []
                            parent_comment_id: '18543227902043990'
                            private_reply_status: 0
                            replied_to_comment_id: '18543227902043990'
                            share_enabled: true
                            text: elite duo ✨
                            type: 2
                            user:
                              fbid_v2: '17841400039600391'
                              full_name: Instagram
                              id: '25025320'
                              is_mentionable: true
                              is_private: false
                              is_verified: true
                              latest_reel_media: 1773073537
                              profile_pic_id: '3725434617063385984'
                              profile_pic_url: >-
                                https://scontent-vie1-1.cdninstagram.com/v/t51.82787-19/550891366_18667771684001321_1383210656577177067_n.jpg?stp=dst-jpg_e0_s150x150_tt6&_nc_cat=1&ig_cache_key=GGbv1SApFvlLPVJCAOtF0XrDJjITbmNDAQAB1501500j-ccb7-5&ccb=7-5&_nc_sid=669407&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLnd3dy4xMDgwLkMzIn0%3D&_nc_ohc=3G7UyY7h03IQ7kNvwGtqdkr&_nc_oc=AdltmOiVXdWm9YKhFoO3tjOv4cw-Z2dOu-R_8u2-vOVtRAMO22UG1N8VweJMifthaok&_nc_ad=z-m&_nc_cid=0&_nc_zt=24&_nc_ht=scontent-vie1-1.cdninstagram.com&_nc_gid=xkcBjtt4K-i2i3AbfHOVPw&_nc_ss=1a&oh=00_AfwdwVvzz0YC46UsNXWsi8vihZqJ2y6qg5zdbYSy5OXrIw&oe=69B590A7
                              username: instagram
                            user_id: '25025320'
                        private_reply_status: 0
                        share_enabled: true
                        text: Two of the bestest bests ❤️❤️❤️
                        type: 0
                        user:
                          fbid_v2: '17841459237102045'
                          full_name: Nell Fisher
                          id: '59056366570'
                          is_mentionable: true
                          is_private: false
                          is_verified: true
                          latest_reel_media: 0
                          profile_pic_id: '3784497808200813529'
                          profile_pic_url: >-
                            https://scontent-vie1-1.cdninstagram.com/v/t51.82787-19/597931389_17974171976974571_7226440742025547402_n.jpg?stp=dst-jpg_e0_s150x150_tt6&_nc_cat=1&ig_cache_key=GH21oyPrwNEHats-AIrO10qReUlkbmNDAQAB1501500j-ccb7-5&ccb=7-5&_nc_sid=669407&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLnd3dy45NzEuQzMifQ%3D%3D&_nc_ohc=kvfLh7WDyEcQ7kNvwGpj2Xw&_nc_oc=Adk3UL3EKj5BJiQhCAEnIGE6KjK_mdQVE5kmiCg5gRQlNQ4QHNGHUkgOJTPwKNifCmY&_nc_ad=z-m&_nc_cid=0&_nc_zt=24&_nc_ht=scontent-vie1-1.cdninstagram.com&_nc_gid=xkcBjtt4K-i2i3AbfHOVPw&_nc_ss=1a&oh=00_Afy1ervxiUA71tDqzslcxFG0H2OJXcbZl5wMZVQdHFgwxQ&oe=69B5982A
                          username: nellfisher_
                        user_id: '59056366570'
                      - child_comment_count: 0
                        comment_index: 2
                        comment_like_count: 3
                        content_type: comment
                        created_at: 1767583296
                        created_at_for_fb_app: 1767583296
                        created_at_utc: 1767583296
                        did_report_as_spam: false
                        has_disliked_comment: false
                        has_liked: false
                        has_liked_comment: false
                        hashtags: []
                        id: '18098983366846214'
                        inline_composer_display_condition: never
                        is_covered: false
                        is_edited: false
                        is_photo_comments_enabled_for_comment_author: false
                        is_pinned: false
                        is_ranked_comment: true
                        is_text_editable: false
                        keywords_data: []
                        like_count: 3
                        liked_by_media_coauthors: []
                        mentions: []
                        other_preview_users: []
                        preview_child_comments: []
                        private_reply_status: 0
                        share_enabled: true
                        text: |-
                          HI I'M OT8 STAY❤️❤️❤️❤️❤️❤️❤️❤️,
                          I SO SO SO, SOOO LOVE 
                          ( STRAYKIDS ) LEE LEEKNOWSHIIII
                          AND I LOVE MY STRAYKIDS,
                        type: 0
                        user:
                          fbid_v2: '17841472772234115'
                          full_name: ''
                          id: '72752921741'
                          is_mentionable: true
                          is_private: false
                          is_verified: false
                          latest_reel_media: 0
                          profile_pic_id: '3566860476894774408'
                          profile_pic_url: >-
                            https://scontent-vie1-1.cdninstagram.com/v/t51.2885-19/477286824_3180373055461274_3945580273561764197_n.jpg?stp=dst-jpg_e0_s150x150_tt6&_nc_cat=104&ig_cache_key=GKjRchyaVzlOiEwLAGUBcK5ahME2bkULAAAB1501500j-ccb7-5&ccb=7-5&_nc_sid=669407&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLnd3dy4xMDgwLkMzIn0%3D&_nc_ohc=Q55ddQotbBcQ7kNvwFiprQw&_nc_oc=AdmIDf0Pg4hm6b33G-AHtEZNYxPrKcKn4RgZkv9zPnO9F-b3MfgPzkhw4curLXMBUTc&_nc_ad=z-m&_nc_cid=0&_nc_zt=24&_nc_ht=scontent-vie1-1.cdninstagram.com&_nc_ss=1a&oh=00_Afyun0m1T6VZ-aL1qHitBpjZZ_8jxjZzZyHenfBWPlpEzw&oe=69B5A0E4
                          username: stay_ot8_skzlove
                        user_id: '72752921741'
                      - child_comment_count: 0
                        comment_index: 3
                        comment_like_count: 3
                        content_type: comment
                        created_at: 1767583297
                        created_at_for_fb_app: 1767583297
                        created_at_utc: 1767583297
                        did_report_as_spam: false
                        has_disliked_comment: false
                        has_liked: false
                        has_liked_comment: false
                        hashtags: []
                        id: '18147223441452915'
                        inline_composer_display_condition: never
                        is_covered: false
                        is_edited: false
                        is_photo_comments_enabled_for_comment_author: false
                        is_pinned: false
                        is_ranked_comment: true
                        is_text_editable: false
                        keywords_data: []
                        like_count: 3
                        liked_by_media_coauthors: []
                        mentions: []
                        other_preview_users: []
                        preview_child_comments: []
                        private_reply_status: 0
                        share_enabled: true
                        text: |-
                          HI I'M OT8 STAY❤️❤️❤️❤️❤️❤️❤️❤️,
                          I SO SO SO, SOOO LOVE 
                          ( STRAYKIDS ) LEE LEEKNOWSHIIII
                          AND I LOVE MY STRAYKIDS,
                        type: 0
                        user:
                          fbid_v2: '17841472772234115'
                          full_name: ''
                          id: '72752921741'
                          is_mentionable: true
                          is_private: false
                          is_verified: false
                          latest_reel_media: 0
                          profile_pic_id: '3566860476894774408'
                          profile_pic_url: >-
                            https://scontent-vie1-1.cdninstagram.com/v/t51.2885-19/477286824_3180373055461274_3945580273561764197_n.jpg?stp=dst-jpg_e0_s150x150_tt6&_nc_cat=104&ig_cache_key=GKjRchyaVzlOiEwLAGUBcK5ahME2bkULAAAB1501500j-ccb7-5&ccb=7-5&_nc_sid=669407&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLnd3dy4xMDgwLkMzIn0%3D&_nc_ohc=Q55ddQotbBcQ7kNvwFiprQw&_nc_oc=AdmIDf0Pg4hm6b33G-AHtEZNYxPrKcKn4RgZkv9zPnO9F-b3MfgPzkhw4curLXMBUTc&_nc_ad=z-m&_nc_cid=0&_nc_zt=24&_nc_ht=scontent-vie1-1.cdninstagram.com&_nc_ss=1a&oh=00_Afyun0m1T6VZ-aL1qHitBpjZZ_8jxjZzZyHenfBWPlpEzw&oe=69B5A0E4
                          username: stay_ot8_skzlove
                        user_id: '72752921741'
                      - child_comment_count: 19
                        comment_index: 4
                        comment_like_count: 409
                        content_type: comment
                        created_at: 1764176958
                        created_at_for_fb_app: 1764176958
                        created_at_utc: 1764176958
                        did_report_as_spam: false
                        has_disliked_comment: false
                        has_liked: false
                        has_liked_comment: false
                        has_more_head_child_comments: true
                        has_more_tail_child_comments: false
                        hashtags: []
                        id: '17843517273622139'
                        inline_composer_display_condition: never
                        is_covered: false
                        is_edited: false
                        is_liked_by_media_owner: true
                        is_photo_comments_enabled_for_comment_author: false
                        is_pinned: false
                        is_ranked_comment: true
                        is_text_editable: false
                        keywords_data: []
                        like_count: 409
                        liked_by_media_coauthors: []
                        mentions: []
                        next_min_child_cursor: >-
                          AQHSq4JS94EwhnPsnb_iVo1e0Kn1EXPBqDtfMsYIeRpN4KGEp_vngU065J1q0W5GFedy6oxH4_lCp3oWi8SCyENomQ
                        other_preview_users: []
                        preview_child_comments:
                          - comment_like_count: 175
                            content_type: comment
                            created_at: 1764187335
                            created_at_for_fb_app: 1764187335
                            created_at_utc: 1764187335
                            did_report_as_spam: false
                            has_disliked_comment: false
                            has_liked_comment: false
                            id: '18093661864888625'
                            is_covered: false
                            is_created_by_media_owner: true
                            is_edited: false
                            is_photo_comments_enabled_for_comment_author: false
                            is_ranked_comment: false
                            is_text_editable: false
                            liked_by_media_coauthors: []
                            parent_comment_id: '17843517273622139'
                            private_reply_status: 0
                            replied_to_comment_id: '17843517273622139'
                            share_enabled: true
                            text: '@sadieslaugh energy is so natural'
                            type: 2
                            user:
                              fbid_v2: '17841400039600391'
                              full_name: Instagram
                              id: '25025320'
                              is_mentionable: true
                              is_private: false
                              is_verified: true
                              latest_reel_media: 1773073537
                              profile_pic_id: '3725434617063385984'
                              profile_pic_url: >-
                                https://scontent-vie1-1.cdninstagram.com/v/t51.82787-19/550891366_18667771684001321_1383210656577177067_n.jpg?stp=dst-jpg_e0_s150x150_tt6&_nc_cat=1&ig_cache_key=GGbv1SApFvlLPVJCAOtF0XrDJjITbmNDAQAB1501500j-ccb7-5&ccb=7-5&_nc_sid=669407&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLnd3dy4xMDgwLkMzIn0%3D&_nc_ohc=3G7UyY7h03IQ7kNvwGtqdkr&_nc_oc=AdltmOiVXdWm9YKhFoO3tjOv4cw-Z2dOu-R_8u2-vOVtRAMO22UG1N8VweJMifthaok&_nc_ad=z-m&_nc_cid=0&_nc_zt=24&_nc_ht=scontent-vie1-1.cdninstagram.com&_nc_gid=xkcBjtt4K-i2i3AbfHOVPw&_nc_ss=1a&oh=00_AfwdwVvzz0YC46UsNXWsi8vihZqJ2y6qg5zdbYSy5OXrIw&oe=69B590A7
                              username: instagram
                            user_id: '25025320'
                        private_reply_status: 0
                        share_enabled: true
                        text: This duo! ❤️🙌
                        type: 0
                        user:
                          fbid_v2: '17841405858634212'
                          full_name: Sadie Sink Fanpage
                          id: '5953699287'
                          is_mentionable: true
                          is_private: false
                          is_verified: false
                          latest_reel_media: 0
                          profile_pic_id: '3151087926180389438'
                          profile_pic_url: >-
                            https://scontent-vie1-1.cdninstagram.com/v/t51.2885-19/361943607_2559244314232713_4970942165166116761_n.jpg?stp=dst-jpg_e0_s150x150_tt6&_nc_cat=101&ig_cache_key=GDfSkhWJRz6AnhcJAJnPvOGPVfxEbkULAAAB1501500j-ccb7-5&ccb=7-5&_nc_sid=669407&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLnd3dy4xMDgwLkMzIn0%3D&_nc_ohc=iTz166eOc9cQ7kNvwFnYbNd&_nc_oc=AdkJvn4BjcVtzgVt1AqY90Ls5SbGLviLtoQa-Y7Afak8Vz-63DqJ3lAHsC1hxE-x4zo&_nc_ad=z-m&_nc_cid=0&_nc_zt=24&_nc_ht=scontent-vie1-1.cdninstagram.com&_nc_ss=1a&oh=00_AfzUmt5qTJ-E5_H0YGn7tHuIX-nvSWdxevuBn-qbhe8-fg&oe=69B580B7
                          username: sadieslaugh
                        user_id: '5953699287'
                      - child_comment_count: 0
                        comment_index: 5
                        comment_like_count: 3
                        content_type: comment
                        created_at: 1767198885
                        created_at_for_fb_app: 1767198885
                        created_at_utc: 1767198885
                        did_report_as_spam: false
                        has_disliked_comment: false
                        has_liked: false
                        has_liked_comment: false
                        hashtags: []
                        id: '17979896324950555'
                        inline_composer_display_condition: never
                        is_covered: false
                        is_edited: false
                        is_photo_comments_enabled_for_comment_author: false
                        is_pinned: false
                        is_ranked_comment: true
                        is_text_editable: false
                        keywords_data: []
                        like_count: 3
                        liked_by_media_coauthors: []
                        mentions: []
                        other_preview_users: []
                        preview_child_comments: []
                        private_reply_status: 0
                        share_enabled: true
                        text: happy new year🥳
                        type: 0
                        user:
                          fbid_v2: '17841477732708917'
                          full_name: czertx mem
                          id: '77591343090'
                          is_mentionable: true
                          is_private: false
                          is_verified: false
                          latest_reel_media: 0
                          profile_pic_id: '3848991277148837650'
                          profile_pic_url: >-
                            https://scontent-vie1-1.cdninstagram.com/v/t51.82787-19/649224181_17867544534591091_5841236221901475407_n.jpg?stp=dst-jpg_e0_s150x150_tt6&_nc_cat=110&ig_cache_key=GPVfsiZzJv7kb3o-AE8OlUdlPRBRbmNDAQAB1501500j-ccb7-5&ccb=7-5&_nc_sid=669407&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLnd3dy4xMDgwLkMzIn0%3D&_nc_ohc=jwUbw4BomHIQ7kNvwF3wItJ&_nc_oc=AdmfQpcSFi25uYHmcXMH5mki_Q76fgVAV0G-pGj2D3u6d6jK4rBzFP-BtHyByTar0Tk&_nc_ad=z-m&_nc_cid=0&_nc_zt=24&_nc_ht=scontent-vie1-1.cdninstagram.com&_nc_gid=xkcBjtt4K-i2i3AbfHOVPw&_nc_ss=1a&oh=00_Afxs0nBlCba14Clr2j2AC4sFO8G1VQ0blioFpDdfolSTTw&oe=69B57FEA
                          username: czertx
                        user_id: '77591343090'
                      - child_comment_count: 26
                        comment_index: 6
                        comment_like_count: 6235
                        content_type: comment
                        created_at: 1764177168
                        created_at_for_fb_app: 1764177168
                        created_at_utc: 1764177168
                        did_report_as_spam: false
                        has_disliked_comment: false
                        has_liked: false
                        has_liked_comment: false
                        has_more_head_child_comments: true
                        has_more_tail_child_comments: true
                        hashtags: []
                        id: '18541643179030931'
                        inline_composer_display_condition: never
                        is_covered: false
                        is_edited: false
                        is_liked_by_media_owner: true
                        is_photo_comments_enabled_for_comment_author: false
                        is_pinned: false
                        is_ranked_comment: true
                        is_text_editable: false
                        keywords_data: []
                        like_count: 6235
                        liked_by_media_coauthors: []
                        mentions: []
                        next_max_child_cursor: >-
                          AQHSgIvF1hDBYT5YPBEI5cTePdbYKh-yq7r1Rz-aae4JD2PMVso51wHLXB26QE3W-cCEDWaXiOF17fqSjwuunTQueA
                        next_min_child_cursor: >-
                          AQHS8PalRpgRAuUXEbz1JKGIMvVCsdPXycOYB7eIjoe-Yst9JoV2Qp4y2HYIi-YG38ExYK28QfVahr9D3SU2Jnjb-A
                        num_tail_child_comments: 2
                        other_preview_users: []
                        preview_child_comments:
                          - comment_like_count: 880
                            content_type: comment
                            created_at: 1764187355
                            created_at_for_fb_app: 1764187355
                            created_at_utc: 1764187355
                            did_report_as_spam: false
                            has_disliked_comment: false
                            has_liked_comment: false
                            id: '17959449399001937'
                            is_covered: false
                            is_created_by_media_owner: true
                            is_edited: false
                            is_photo_comments_enabled_for_comment_author: false
                            is_ranked_comment: false
                            is_text_editable: false
                            liked_by_media_coauthors: []
                            parent_comment_id: '18541643179030931'
                            private_reply_status: 0
                            replied_to_comment_id: '18541643179030931'
                            share_enabled: true
                            text: '@strangerthingstv top tier'
                            type: 2
                            user:
                              fbid_v2: '17841400039600391'
                              full_name: Instagram
                              id: '25025320'
                              is_mentionable: true
                              is_private: false
                              is_verified: true
                              latest_reel_media: 1773073537
                              profile_pic_id: '3725434617063385984'
                              profile_pic_url: >-
                                https://scontent-vie1-1.cdninstagram.com/v/t51.82787-19/550891366_18667771684001321_1383210656577177067_n.jpg?stp=dst-jpg_e0_s150x150_tt6&_nc_cat=1&ig_cache_key=GGbv1SApFvlLPVJCAOtF0XrDJjITbmNDAQAB1501500j-ccb7-5&ccb=7-5&_nc_sid=669407&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLnd3dy4xMDgwLkMzIn0%3D&_nc_ohc=3G7UyY7h03IQ7kNvwGtqdkr&_nc_oc=AdltmOiVXdWm9YKhFoO3tjOv4cw-Z2dOu-R_8u2-vOVtRAMO22UG1N8VweJMifthaok&_nc_ad=z-m&_nc_cid=0&_nc_zt=24&_nc_ht=scontent-vie1-1.cdninstagram.com&_nc_gid=xkcBjtt4K-i2i3AbfHOVPw&_nc_ss=1a&oh=00_AfwdwVvzz0YC46UsNXWsi8vihZqJ2y6qg5zdbYSy5OXrIw&oe=69B590A7
                              username: instagram
                            user_id: '25025320'
                        private_reply_status: 0
                        share_enabled: true
                        text: now this is a dynamic duo
                        type: 0
                        user:
                          fbid_v2: '17841402027841695'
                          full_name: Stranger Things Netflix
                          id: '2093563594'
                          is_mentionable: true
                          is_private: false
                          is_verified: true
                          latest_reel_media: 0
                          profile_pic_id: '3800116073102878399'
                          profile_pic_url: >-
                            https://scontent-vie1-1.cdninstagram.com/v/t51.82787-19/609140139_18531062944067595_8391457840385054839_n.jpg?stp=dst-jpg_e0_s150x150_tt6&_nc_cat=1&ig_cache_key=GKu9TiQLcBdQ59VBAHdY0StycnR0bmNDAQAB1501500j-ccb7-5&ccb=7-5&_nc_sid=669407&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLnd3dy4xMDgwLkMzIn0%3D&_nc_ohc=4YHZ2dVn5CYQ7kNvwHarBDq&_nc_oc=Adm-C3aEsfcP0fkyYQUKwR8jn-Xi1wDN4vaXkK34jBOThU-yV7EfNr9hpS930JsqLqg&_nc_ad=z-m&_nc_cid=0&_nc_zt=24&_nc_ht=scontent-vie1-1.cdninstagram.com&_nc_gid=xkcBjtt4K-i2i3AbfHOVPw&_nc_ss=1a&oh=00_AfykthzefP1TGMalW8OaX87AWKpdEczkGFaeZEEf1NJpVw&oe=69B57162
                          username: strangerthingstv
                        user_id: '2093563594'
                      - child_comment_count: 11
                        comment_index: 7
                        comment_like_count: 935
                        content_type: comment
                        created_at: 1764178871
                        created_at_for_fb_app: 1764178871
                        created_at_utc: 1764178871
                        did_report_as_spam: false
                        has_disliked_comment: false
                        has_liked: false
                        has_liked_comment: false
                        has_more_head_child_comments: true
                        has_more_tail_child_comments: false
                        hashtags: []
                        id: '18111290521610056'
                        inline_composer_display_condition: never
                        is_covered: false
                        is_edited: false
                        is_liked_by_media_owner: true
                        is_photo_comments_enabled_for_comment_author: false
                        is_pinned: false
                        is_ranked_comment: true
                        is_text_editable: false
                        keywords_data: []
                        like_count: 935
                        liked_by_media_coauthors: []
                        mentions: []
                        next_min_child_cursor: >-
                          AQHSrEWbADce5zmdGu_lVwtcMCIAAXYW5FVQhNCUcHFHmrBtGaw11xyLh--w_fnuSKKg8lHNnR4E4EkVzCWWYmkuXw
                        other_preview_users: []
                        preview_child_comments:
                          - comment_like_count: 207
                            content_type: comment
                            created_at: 1764187464
                            created_at_for_fb_app: 1764187464
                            created_at_utc: 1764187464
                            did_report_as_spam: false
                            has_disliked_comment: false
                            has_liked_comment: false
                            id: '18088521070785264'
                            is_covered: false
                            is_created_by_media_owner: true
                            is_edited: false
                            is_photo_comments_enabled_for_comment_author: false
                            is_ranked_comment: false
                            is_text_editable: false
                            liked_by_media_coauthors: []
                            parent_comment_id: '18111290521610056'
                            private_reply_status: 0
                            replied_to_comment_id: '18111290521610056'
                            share_enabled: true
                            text: '@beforv would watch immediately'
                            type: 2
                            user:
                              fbid_v2: '17841400039600391'
                              full_name: Instagram
                              id: '25025320'
                              is_mentionable: true
                              is_private: false
                              is_verified: true
                              latest_reel_media: 1773073537
                              profile_pic_id: '3725434617063385984'
                              profile_pic_url: >-
                                https://scontent-vie1-1.cdninstagram.com/v/t51.82787-19/550891366_18667771684001321_1383210656577177067_n.jpg?stp=dst-jpg_e0_s150x150_tt6&_nc_cat=1&ig_cache_key=GGbv1SApFvlLPVJCAOtF0XrDJjITbmNDAQAB1501500j-ccb7-5&ccb=7-5&_nc_sid=669407&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLnd3dy4xMDgwLkMzIn0%3D&_nc_ohc=3G7UyY7h03IQ7kNvwGtqdkr&_nc_oc=AdltmOiVXdWm9YKhFoO3tjOv4cw-Z2dOu-R_8u2-vOVtRAMO22UG1N8VweJMifthaok&_nc_ad=z-m&_nc_cid=0&_nc_zt=24&_nc_ht=scontent-vie1-1.cdninstagram.com&_nc_gid=xkcBjtt4K-i2i3AbfHOVPw&_nc_ss=1a&oh=00_AfwdwVvzz0YC46UsNXWsi8vihZqJ2y6qg5zdbYSy5OXrIw&oe=69B590A7
                              username: instagram
                            user_id: '25025320'
                        private_reply_status: 0
                        share_enabled: true
                        text: Max and Robin really need a spinoff of their own!! 😍
                        type: 0
                        user:
                          fbid_v2: '17841416511953111'
                          full_name: FILMMAKING & PHOTOGRAPHY | BEFORV
                          id: '16424894398'
                          is_mentionable: true
                          is_private: false
                          is_verified: true
                          latest_reel_media: 1773069831
                          profile_pic_id: '2680708755387552904'
                          profile_pic_url: >-
                            https://scontent-vie1-1.cdninstagram.com/v/t51.2885-19/244630972_1756833067843884_9194423731151761132_n.jpg?stp=dst-jpg_e0_s150x150_tt6&_nc_cat=111&ig_cache_key=GLzFlA4sQfCS1D0GAOzuuFmrJ5l-bkULAAAB1501500j-ccb7-5&ccb=7-5&_nc_sid=669407&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLnd3dy45OTUuQzMifQ%3D%3D&_nc_ohc=rejlcuinR3oQ7kNvwHFOE1U&_nc_oc=AdmI43AYUgd6JG2lOMgK5Lv6zqHYTZl-oxhw7OjfP3qrgzHUJ63oVAMNQmpjETIq_CM&_nc_ad=z-m&_nc_cid=0&_nc_zt=24&_nc_ht=scontent-vie1-1.cdninstagram.com&_nc_ss=1a&oh=00_AfzrOz4aZJ2kBTMGMuzw8rvFhUuzz6biyCHUQtrbc5JcXw&oe=69B57EDD
                          username: beforv
                        user_id: '16424894398'
                      - child_comment_count: 0
                        comment_index: 8
                        comment_like_count: 1
                        content_type: comment
                        created_at: 1770637090
                        created_at_for_fb_app: 1770637090
                        created_at_utc: 1770637090
                        did_report_as_spam: false
                        has_disliked_comment: false
                        has_liked: false
                        has_liked_comment: false
                        hashtags: []
                        id: '18111179794586315'
                        inline_composer_display_condition: never
                        is_covered: false
                        is_edited: false
                        is_photo_comments_enabled_for_comment_author: false
                        is_pinned: false
                        is_ranked_comment: true
                        is_text_editable: false
                        keywords_data: []
                        like_count: 1
                        liked_by_media_coauthors: []
                        mentions: []
                        other_preview_users: []
                        preview_child_comments: []
                        private_reply_status: 0
                        share_enabled: true
                        text: 🔥🔥🔥
                        type: 0
                        user:
                          fbid_v2: '17841476714251239'
                          full_name: ادیتور | تدوینگر | تولید محتوا
                          id: '76729917141'
                          is_mentionable: true
                          is_private: false
                          is_verified: false
                          latest_reel_media: 0
                          profile_pic_id: '3802824852294706339'
                          profile_pic_url: >-
                            https://scontent-vie1-1.cdninstagram.com/v/t51.82787-19/610530539_17862675246557142_4771954772015986507_n.jpg?stp=dst-jpg_e0_s150x150_tt6&_nc_cat=103&ig_cache_key=GOv0YyTWJ88sAnY-AEs3Pg6VYzlCbmNDAQAB1501500j-ccb7-5&ccb=7-5&_nc_sid=669407&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLnd3dy4xMDI0LkMzIn0%3D&_nc_ohc=gQefcobcu-4Q7kNvwE-iS5Q&_nc_oc=AdlxoUuINwVY-TQSC8BMT_QGEd-NtkBGGMEvttBJYbqWeRNK1RC9cyy6xyYf05ImmUA&_nc_ad=z-m&_nc_cid=0&_nc_zt=24&_nc_ht=scontent-vie1-1.cdninstagram.com&_nc_gid=xkcBjtt4K-i2i3AbfHOVPw&_nc_ss=1a&oh=00_Afx6XnjFAFH3p77ZUC-hhFWpc8A3CODxEptotIVTfxArDQ&oe=69B5705B
                          username: amivisionn
                        user_id: '76729917141'
                      - child_comment_count: 0
                        comment_index: 9
                        comment_like_count: 0
                        content_type: comment
                        created_at: 1769653905
                        created_at_for_fb_app: 1769653905
                        created_at_utc: 1769653905
                        did_report_as_spam: false
                        has_disliked_comment: false
                        has_liked: false
                        has_liked_comment: false
                        hashtags: []
                        id: '18077813708591951'
                        inline_composer_display_condition: never
                        is_covered: false
                        is_edited: false
                        is_photo_comments_enabled_for_comment_author: false
                        is_pinned: false
                        is_ranked_comment: true
                        is_text_editable: false
                        keywords_data: []
                        like_count: 0
                        liked_by_media_coauthors: []
                        mentions: []
                        other_preview_users: []
                        preview_child_comments: []
                        private_reply_status: 0
                        share_enabled: true
                        text: 😍💛🌺
                        type: 0
                        user:
                          fbid_v2: '17841458723972179'
                          full_name: Maile Lei’ohu 🌺🛼🎢☀️
                          id: '58737437465'
                          is_mentionable: true
                          is_private: false
                          is_verified: false
                          latest_reel_media: 0
                          profile_pic_id: '3425907132812043422'
                          profile_pic_url: >-
                            https://scontent-vie1-1.cdninstagram.com/v/t51.2885-19/453974642_516358414390728_8568461223898184919_n.jpg?stp=dst-jpg_e0_s150x150_tt6&_nc_cat=108&ig_cache_key=GHIaDxvI1d0PoNUBANf8KOIVSul2bkULAAAB1501500j-ccb7-5&ccb=7-5&_nc_sid=669407&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLnd3dy43OTUuQzMifQ%3D%3D&_nc_ohc=-9hM7hWDNjsQ7kNvwHqwCrp&_nc_oc=AdlcH7Zf6oaujoplBbV5XBKSiEWlh2Y2vlUZ4mq2zRzx0nzwDrXbI1qCmwMCpFbp8YA&_nc_ad=z-m&_nc_cid=0&_nc_zt=24&_nc_ht=scontent-vie1-1.cdninstagram.com&_nc_ss=1a&oh=00_Afx3tZTqe3__l3VpU9nNWhUK9QDhUtTdFFn6QaWnG1OF_A&oe=69B59DE1
                          username: _mailelei
                        user_id: '58737437465'
                      - child_comment_count: 13
                        comment_index: 10
                        comment_like_count: 2110
                        content_type: comment
                        created_at: 1764180175
                        created_at_for_fb_app: 1764180175
                        created_at_utc: 1764180175
                        did_report_as_spam: false
                        has_disliked_comment: false
                        has_liked: false
                        has_liked_comment: false
                        has_more_head_child_comments: true
                        has_more_tail_child_comments: false
                        hashtags: []
                        id: '18150792679424610'
                        inline_composer_display_condition: never
                        is_covered: false
                        is_edited: false
                        is_liked_by_media_owner: true
                        is_photo_comments_enabled_for_comment_author: false
                        is_pinned: false
                        is_ranked_comment: true
                        is_text_editable: false
                        keywords_data: []
                        like_count: 2110
                        liked_by_media_coauthors: []
                        mentions: []
                        next_min_child_cursor: >-
                          AQHSauzSjm5qWixZDArHOrrXI2DGYDARC_xirOc_hyht0BXY_1eQjTo1V9Snw0Haq844qCC1J6gZA6bs6YoAVnNz8A
                        other_preview_users: []
                        preview_child_comments:
                          - comment_like_count: 303
                            content_type: comment
                            created_at: 1764187378
                            created_at_for_fb_app: 1764187378
                            created_at_utc: 1764187378
                            did_report_as_spam: false
                            has_disliked_comment: false
                            has_liked_comment: false
                            id: '17902648173167862'
                            is_covered: false
                            is_created_by_media_owner: true
                            is_edited: false
                            is_photo_comments_enabled_for_comment_author: false
                            is_ranked_comment: false
                            is_text_editable: false
                            liked_by_media_coauthors: []
                            parent_comment_id: '18150792679424610'
                            private_reply_status: 0
                            replied_to_comment_id: '18150792679424610'
                            share_enabled: true
                            text: '@_filevenvideo on brand tbh'
                            type: 2
                            user:
                              fbid_v2: '17841400039600391'
                              full_name: Instagram
                              id: '25025320'
                              is_mentionable: true
                              is_private: false
                              is_verified: true
                              latest_reel_media: 1773073537
                              profile_pic_id: '3725434617063385984'
                              profile_pic_url: >-
                                https://scontent-vie1-1.cdninstagram.com/v/t51.82787-19/550891366_18667771684001321_1383210656577177067_n.jpg?stp=dst-jpg_e0_s150x150_tt6&_nc_cat=1&ig_cache_key=GGbv1SApFvlLPVJCAOtF0XrDJjITbmNDAQAB1501500j-ccb7-5&ccb=7-5&_nc_sid=669407&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLnd3dy4xMDgwLkMzIn0%3D&_nc_ohc=3G7UyY7h03IQ7kNvwGtqdkr&_nc_oc=AdltmOiVXdWm9YKhFoO3tjOv4cw-Z2dOu-R_8u2-vOVtRAMO22UG1N8VweJMifthaok&_nc_ad=z-m&_nc_cid=0&_nc_zt=24&_nc_ht=scontent-vie1-1.cdninstagram.com&_nc_gid=xkcBjtt4K-i2i3AbfHOVPw&_nc_ss=1a&oh=00_AfwdwVvzz0YC46UsNXWsi8vihZqJ2y6qg5zdbYSy5OXrIw&oe=69B590A7
                              username: instagram
                            user_id: '25025320'
                        private_reply_status: 0
                        share_enabled: true
                        text: >-
                          The fact that Sadie Is incredible at Mario Kart like
                          Max is incredible at videogames 🥹❤️‍🩹
                        type: 0
                        user:
                          fbid_v2: '17841454076242490'
                          full_name: karma ~ Mileven/Fillie FANPAGE
                          id: '54099922541'
                          is_mentionable: true
                          is_private: false
                          is_verified: false
                          latest_reel_media: 1773110338
                          profile_pic_id: '3813045399171421887'
                          profile_pic_url: >-
                            https://scontent-vie1-1.cdninstagram.com/v/t51.82787-19/619484460_18018633767802542_5824865299658279639_n.jpg?stp=dst-jpg_e0_s150x150_tt6&_nc_cat=103&ig_cache_key=GCyV7CSuVhEZ2gNAANeKoeogFNZQbmNDAQAB1501500j-ccb7-5&ccb=7-5&_nc_sid=669407&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLnd3dy4xMDgwLkMzIn0%3D&_nc_ohc=dKMnCsbc0RsQ7kNvwH_BHrK&_nc_oc=Adm-3Wl8-0D8ladzhQk620Lw6LGRmVT-6KwN4rFCJOCIo9jMQ8BPQ0tLXdmNSr3E6dU&_nc_ad=z-m&_nc_cid=0&_nc_zt=24&_nc_ht=scontent-vie1-1.cdninstagram.com&_nc_gid=xkcBjtt4K-i2i3AbfHOVPw&_nc_ss=1a&oh=00_Afys_DUzz45hYreWP61Ny5GRxUHVXTazziUUjya3_cUoOw&oe=69B586F6
                          username: _filevenvideo
                        user_id: '54099922541'
                      - child_comment_count: 1
                        comment_index: 11
                        comment_like_count: 239
                        content_type: comment
                        created_at: 1764181790
                        created_at_for_fb_app: 1764181790
                        created_at_utc: 1764181790
                        did_report_as_spam: false
                        has_disliked_comment: false
                        has_liked: false
                        has_liked_comment: false
                        has_more_head_child_comments: true
                        has_more_tail_child_comments: false
                        hashtags: []
                        id: '18544278265019671'
                        inline_composer_display_condition: never
                        is_covered: false
                        is_edited: false
                        is_photo_comments_enabled_for_comment_author: false
                        is_pinned: false
                        is_ranked_comment: true
                        is_text_editable: false
                        keywords_data: []
                        like_count: 239
                        liked_by_media_coauthors: []
                        mentions: []
                        other_preview_users: []
                        preview_child_comments: []
                        private_reply_status: 0
                        share_enabled: true
                        text: Made it on the close friends let’s goooo
                        type: 0
                        user:
                          fbid_v2: '17841457286942036'
                          full_name: Upside Down Pictures
                          id: '57296293564'
                          is_mentionable: true
                          is_private: false
                          is_verified: true
                          latest_reel_media: 1773101520
                          profile_pic_id: '3754879844530897729'
                          profile_pic_url: >-
                            https://scontent-vie1-1.cdninstagram.com/v/t51.82787-19/573738530_17984892338909565_5562110001786879277_n.jpg?stp=dst-jpg_e0_s150x150_tt6&_nc_cat=104&ig_cache_key=GCKOMiJ9MS8PKuU-AC19J8qTlTBNbmNDAQAB1501500j-ccb7-5&ccb=7-5&_nc_sid=669407&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLnd3dy43MjUuQzMifQ%3D%3D&_nc_ohc=oDJyCqaTKlAQ7kNvwE-qLNU&_nc_oc=Adk1vmohseQZG5Gtb6P1tKsUldSX0hPyI3aCxzEugPGssKwypJ4U83iDkGLJL-zGShM&_nc_ad=z-m&_nc_cid=0&_nc_zt=24&_nc_ht=scontent-vie1-1.cdninstagram.com&_nc_gid=xkcBjtt4K-i2i3AbfHOVPw&_nc_ss=1a&oh=00_AfwOYTD1nNjweXw1XJMEc1OTmMzEPCA5cOeL4HT6IHAl8w&oe=69B59EF7
                          username: upsidedownpictures
                        user_id: '57296293564'
                      - child_comment_count: 0
                        comment_index: 12
                        comment_like_count: 7
                        content_type: comment
                        created_at: 1767293796
                        created_at_for_fb_app: 1767293796
                        created_at_utc: 1767293796
                        did_report_as_spam: false
                        has_disliked_comment: false
                        has_liked: false
                        has_liked_comment: false
                        hashtags: []
                        id: '18103558141666702'
                        inline_composer_display_condition: never
                        is_covered: false
                        is_edited: false
                        is_photo_comments_enabled_for_comment_author: false
                        is_pinned: false
                        is_ranked_comment: true
                        is_text_editable: false
                        keywords_data: []
                        like_count: 7
                        liked_by_media_coauthors: []
                        mentions: []
                        other_preview_users: []
                        preview_child_comments: []
                        private_reply_status: 0
                        share_enabled: true
                        text: 😍😍😍😍
                        type: 0
                        user:
                          fbid_v2: '17841404313917691'
                          full_name: Gerald_Gaboriau_Art
                          id: '4141535797'
                          is_mentionable: false
                          is_private: false
                          is_verified: true
                          latest_reel_media: 1773086668
                          profile_pic_id: '3843910901749794100'
                          profile_pic_url: >-
                            https://scontent-vie1-1.cdninstagram.com/v/t51.82787-19/645944301_18428699449143798_3853649611638973785_n.jpg?stp=dst-jpg_e0_s150x150_tt6&_nc_cat=100&ig_cache_key=GO1TgCb2sVb0zXhBAFklkH7n6Xo1bmNDAQAB1501500j-ccb7-5&ccb=7-5&_nc_sid=669407&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLnd3dy4xMDgwLkMzIn0%3D&_nc_ohc=EEuKrYWWNl4Q7kNvwGnlcab&_nc_oc=AdlSR-AISppdO-rhqK3uyCDM2N0iO-qfudTQZULedcsUdpTWO9RbPi7WTGnifv5KdEQ&_nc_ad=z-m&_nc_cid=0&_nc_zt=24&_nc_ht=scontent-vie1-1.cdninstagram.com&_nc_gid=xkcBjtt4K-i2i3AbfHOVPw&_nc_ss=1a&oh=00_AfyX71S7zVaqDP-qa6XjPa2_oPPRtFaLBg06pU9naIqvbQ&oe=69B58902
                          username: gerald_gaboriau_art
                        user_id: '4141535797'
                      - child_comment_count: 0
                        comment_index: 13
                        comment_like_count: 3
                        content_type: comment
                        created_at: 1767042307
                        created_at_for_fb_app: 1767042307
                        created_at_utc: 1767042307
                        did_report_as_spam: false
                        has_disliked_comment: false
                        has_liked: false
                        has_liked_comment: false
                        hashtags: []
                        id: '18546355420055479'
                        inline_composer_display_condition: never
                        is_covered: false
                        is_edited: false
                        is_photo_comments_enabled_for_comment_author: false
                        is_pinned: false
                        is_ranked_comment: true
                        is_text_editable: false
                        keywords_data: []
                        like_count: 3
                        liked_by_media_coauthors: []
                        mentions: []
                        other_preview_users: []
                        preview_child_comments: []
                        private_reply_status: 0
                        share_enabled: true
                        text: |-
                          HI I'M OT8 STAY❤️❤️❤️❤️❤️❤️❤️❤️,
                          I SO SO SO, SOOO LOVE 
                          ( STRAYKIDS ) LEE LEEKNOWSHIIII
                          AND I LOVE MY STRAYKIDS,
                        type: 0
                        user:
                          fbid_v2: '17841477373210316'
                          full_name: STAYOT8ForEver
                          id: '77282531107'
                          is_mentionable: true
                          is_private: false
                          is_verified: false
                          latest_reel_media: 0
                          profile_pic_id: '3719005445949263998'
                          profile_pic_url: >-
                            https://scontent-vie1-1.cdninstagram.com/v/t51.82787-19/544915747_17842023978579108_2070732230211984971_n.jpg?stp=dst-jpg_e0_s150x150_tt6&_nc_cat=104&ig_cache_key=GCPBeiCkNFHtOWM-AEvevP79t7wcbmNDAQAB1501500j-ccb7-5&ccb=7-5&_nc_sid=669407&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLnd3dy4xMDgwLkMzIn0%3D&_nc_ohc=HPabj87BFmIQ7kNvwER9D4U&_nc_oc=AdlvOvi95Jmm9vZKzubwkmOmplWA9lPJlMS1QEQbUPVXmNxv_gLwKN_9cAGa-0F_rF0&_nc_ad=z-m&_nc_cid=0&_nc_zt=24&_nc_ht=scontent-vie1-1.cdninstagram.com&_nc_gid=xkcBjtt4K-i2i3AbfHOVPw&_nc_ss=1a&oh=00_Afy2vR0jawyOq4uRrgoc_cjuZhsOvT9H3isbuTFVtGnn0w&oe=69B59875
                          username: stayf_orever68
                        user_id: '77282531107'
                      - child_comment_count: 0
                        comment_index: 14
                        comment_like_count: 1
                        content_type: comment
                        created_at: 1766920226
                        created_at_for_fb_app: 1766920226
                        created_at_utc: 1766920226
                        did_report_as_spam: false
                        has_disliked_comment: false
                        has_liked: false
                        has_liked_comment: false
                        hashtags: []
                        id: '17931104634150514'
                        inline_composer_display_condition: never
                        is_covered: false
                        is_edited: false
                        is_photo_comments_enabled_for_comment_author: false
                        is_pinned: false
                        is_ranked_comment: true
                        is_text_editable: false
                        keywords_data: []
                        like_count: 1
                        liked_by_media_coauthors: []
                        mentions: []
                        other_preview_users: []
                        preview_child_comments: []
                        private_reply_status: 0
                        share_enabled: true
                        text: 😍
                        type: 0
                        user:
                          fbid_v2: '17841401196120759'
                          full_name: Sergio
                          id: '1328615870'
                          is_mentionable: true
                          is_private: true
                          is_verified: false
                          profile_pic_id: '1751135800076021080'
                          profile_pic_url: >-
                            https://scontent-vie1-1.cdninstagram.com/v/t51.2885-19/29716596_894404657406317_3408111834195034112_n.jpg?stp=dst-jpg_e0_s150x150_tt6&_nc_cat=108&ig_cache_key=GHRwxQFt4ePPdC0DAAAAAACoC0wvbkULAAAB1501500j-ccb7-5&ccb=7-5&_nc_sid=669407&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLnd3dy4xMDgwLkMzIn0%3D&_nc_ohc=-0EB5EcnMF4Q7kNvwHvc1_w&_nc_oc=AdlwCXd9MK5gP_fm5CeKLonWFY-F_061uOGtBTcaMAdWB_js3MUKsl7nYJuw2AN-jOE&_nc_ad=z-m&_nc_cid=0&_nc_zt=24&_nc_ht=scontent-vie1-1.cdninstagram.com&_nc_ss=1a&oh=00_AfxEw7uItJcQRF25jJT8X-uqLGtCubyl2c91MXseCL2OTg&oe=69B5834D
                          username: sergio_gallardomusso
                        user_id: '1328615870'
                    total: 7277
                  pagination_token: >-
                    GU1VBBoTABtzfUtDUApLE1webx9eQEofSytGNUlXFA07PwRCNm4GCwQrAxVDV1MMWA9RFQAYMGstJQYTCxoQQX0zWAhJCQZfAgsQVgQ6ARsTMTw2XjZHA0cnAQgLAzBVAEQNHnMzSAgbCB4ZFUErLQglASEROVsMTiEXLl09IiQdb0ImJyQPKB5UMxVfIEEwIycaK0ImWVA2JC09MiI4MTEYJxkwJSVTJT5VKiUnCW8dUy5CNDkCBVIrOicxRQoKEQs2AC1WSSEtQwoiHiQfRjBfGm8BMBw7Jj83BwgINRYaHzIpWjE1IyMTZikGQB0rPxE0DQ44Izk-DVYiBzY9IzQ9MAUhOxE8NS42LSoBJQ0mBSghPigrEjtLFSIsDC4wJjcvJTQ8HzEiGD4BPikdJiUnPDsRESAyKTMmNCoJECMQIko8I0IdJAE2PzwwUDgLFjxcElEzTT4RMh04CxcpMxMoOj1DH1UbUhESPQNUERAGIBkVZSlQEVsuHTkAFjEqPjscKgEIRipeLkk9FTAAEjoZFSUQPAQsHy9NJEA5RBBPPTYXFkkmBxxUHwU2Q0MUUVxYNVAMWDZSPUAoSytuO1VSRh1SOgM4VR1ACA
                requestId: a4637c5c-9a85-4bdc-827b-060500e05f55
          headers: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 400
                  data: null
                  message: 'Missing required parameter: handle'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 401
                  data: null
                  message: apiKey is null
        '402':
          description: Payment Required
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 402
                  data: null
                  message: apiKey quota is not enough
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 429
                  data: null
                  message: qps limit exceeded
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 500
                  data: null
                  message: Internal server error
      deprecated: false
      security:
        - JWT Bearer: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.keyapi.ai/v1/instagram/fetch_post_comments?code_or_url=DRhvwVLAHAG&sort_by=recent' \
              --header 'Authorization: Bearer <YOUR_API_KEY>'
        - lang: python
          label: Python
          source: |-
            import requests

            response = requests.get(
                'https://api.keyapi.ai/v1/instagram/fetch_post_comments',
                params={"code_or_url": "DRhvwVLAHAG", "sort_by": "recent"},
                headers={'Authorization': 'Bearer <YOUR_API_KEY>'}
            )
            print(response.json())
        - lang: javascript
          label: JavaScript
          source: >-
            const params = new URLSearchParams({"code_or_url": "DRhvwVLAHAG",
            "sort_by": "recent"});


            const response = await
            fetch(`https://api.keyapi.ai/v1/instagram/fetch_post_comments?${params}`,
            {
              method: 'GET',
              headers: { 'Authorization': 'Bearer <YOUR_API_KEY>' }
            });

            const data = await response.json();

            console.log(data);
components:
  securitySchemes:
    JWT Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: |-
        API key for authentication. Format: `sk_live_xxxxxxxxxxxxx`
        Get your API key from the [Dashboard](http://keyapi.ai/app/dashboard).

````